Name:		rclone
Version:	1.53.3
Release:	%mkrel 1
Summary:	A cloud storage cloning tool
%define debug_package %{nil}

Group:		Networking/File transfer
License:	MIT
URL:		https://github.com/ncw/rclone
Source0:	https://github.com/ncw/rclone/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        vendor.tar.gz

BuildRequires:  golang >= 1.6

%description
rclone is a "rsync for cloud storage" - Google Drive, Amazon Drive, S3, Dropbox, Backblaze B2, One Drive, Swift, Hubic, Cloudfiles, Google Cloud Storage, Yandex Files 
https://rclone.org

%prep
%setup -q
mkdir -p src/github.com/rclone
ln -s $(pwd) src/github.com/rclone/%{name}
tar xzf %{SOURCE1}

%build
export GOPATH=`pwd`
rm $GOPATH/go.mod
go build -o bin/rclone

%install
install -D bin/%{name} ${RPM_BUILD_ROOT}/%{_bindir}/%{name}
install -D %{name}.1 ${RPM_BUILD_ROOT}/%{_mandir}/man1/%{name}.1

%files
%doc COPYING README.md MANUAL.md MANUAL.html docs/content/*.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Mon Dec 07 2020 joequant <joequant> 1.53.3-1.mga8
+ Revision: 1654095
- update to 1.53.3 - fix 27665 / CVE-2020-28924

* Thu Nov 26 2020 joequant <joequant> 1.52.3-1.mga8
+ Revision: 1649440
- update 1.52.3 - fix #27665 - CVE-2020-28924

* Mon Jul 20 2020 joequant <joequant> 1.52.2-1.mga8
+ Revision: 1607420
- update to 1.52.2

* Mon Jul 20 2020 joequant <joequant> 1.52.1-1.mga8
+ Revision: 1607401
- update to 1.52.1

* Tue Feb 18 2020 umeabot <umeabot> 1.42-2.mga8
+ Revision: 1538894
- Mageia 8 Mass Rebuild

* Thu Nov 28 2019 bcornec <bcornec> 1.42-1.mga8
+ Revision: 1463255
- put rclone back into work
- Import rclone
- Created package structure for rclone.

